Loading...
Searching...
No Matches
eastasianwidthdef.c File Reference
`#include "eastasianwidthdef.h"`
`#include "eastasianwidthdata.c"`
`#include "unibreakdef.h"`
Include dependency graph for eastasianwidthdef.c:

## Functions

enum EastAsianWidthClass | ub_get_char_eaw_class (utf32_t ch)
| Gets the East Asian Width class of a character.

## Function Documentation

## ub_get_char_eaw_class()

enum EastAsianWidthClass ub_get_char_eaw_class | ( | utf32_t | ch | ) |

Gets the East Asian Width class of a character.

Parameters

  ch | character to check

Returns
  the East Asian Width class if found; `EAW_N` otherwise